GET
/containers/{id}/archive Get a tar archive of a resource in the filesystem of container id.
Connection and access
API connection and authentication guidance
/v1.57
No HTTP authentication requirement is declared for this operation. Transport access controls can still apply.
Parameters
id
path
Required
ID or name of the container
Type:
string
All schema constraints and annotations
{
"type": "string"
}path
query
Required
Resource in the container’s filesystem to archive.
Type:
string
All schema constraints and annotations
{
"type": "string"
}Request and responses
Response
200
no error
application/x-tar
Response
400
Bad parameter
application/json
Schema:
ErrorResponse
Schema example
{
"message": "Something went wrong."
}Response
404
Container or path does not exist
application/json
Schema:
ErrorResponse
Example
{
"message": "No such container: c2ada9df5af8"
}Response
500
server error
application/json
Schema:
ErrorResponse
Schema example
{
"message": "Something went wrong."
}Referenced schemas
#/components/schemas/ErrorResponse
Complete operation contract
{
"description": "Get a tar archive of a resource in the filesystem of container id.",
"operationId": "ContainerArchive",
"parameters": [
{
"description": "ID or name of the container",
"in": "path",
"name": "id",
"required": true,
"schema": {
"type": "string"
}
},
{
"description": "Resource in the container’s filesystem to archive.",
"in": "query",
"name": "path",
"required": true,
"schema": {
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/x-tar": {}
},
"description": "no error"
},
"400": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ErrorResponse"
}
}
},
"description": "Bad parameter"
},
"404": {
"content": {
"application/json": {
"example": {
"message": "No such container: c2ada9df5af8"
},
"schema": {
"$ref": "#/components/schemas/ErrorResponse"
}
}
},
"description": "Container or path does not exist"
},
"500": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ErrorResponse"
}
}
},
"description": "server error"
}
},
"summary": "Get an archive of a filesystem resource in a container",
"tags": [
"Container"
]
}